{% include directory ~ '/templates/navigation/menu-new.html.twig' %}
<main role="main" class="overflow-hidden">
    {{ page.breadcrumb }}
    <a id="main-content" tabindex="-1"></a>
    {# link is in html.html.twig #}

    <h1 class="d-none">Mohon Lengkapi data Happy Parents di bawah ini</h1>
    <div class="bg-login"></div>

    <form class="form-border" action="{{ url('<front>') }}register-process" method="post">
        <div class="bg-primary mt-5 mt-lg-0 pt-5">
            <div class="container mt-3 mt-lg-5 pt-5 pb-4 text-white text-center text-lg-left">
                <div class="row">
                    <div class="col-md-6">
                        <h2>Mohon lengkapi data Happy Parents di bawah ini.</h2>

                        {% if data.form is empty %}
                        {% else %}
                        {% if data.form == 1 %}
                        <div class="alert alert-success">
                            Registrasi berhasil! kami telah mengirimkan email aktivasi ke email yang anda daftarkan
                        </div>
                        {% elseif data.form == 0 %}
                        <div class="alert alert-danger">
                            Registrasi gagal, Mohon isi form dengan lengkap
                        </div>
                        {% elseif data.form == 2 %}
                        <div class="alert alert-danger">
                            Registrasi gagal, nomor telepon sudah terdaftar
                        </div>
                        {% elseif data.form == 3 %}
                        <div class="alert alert-danger">
                            Terjadi kesalahan, cobalah beberapa saat lagi
                        </div>
                        {% elseif data.form == 4 %}
                        <div class="alert alert-danger">
                            Registrasi gagal
                        </div>
                        {% elseif data.form == 5 %}
                        <div class="alert alert-danger">
                            Registrasi gagal, usia minimal 13 tahun
                        </div>
                        {% elseif data.form == 6 %}
                        <div class="alert alert-danger">
                            The password must be 8–30 characters, and include a number, a symbol, a lower and a upper case letter
                        </div>
                        {% endif %}
                        {% endif %}
                        <div class="form-group">
                            <input type="name" name="name" class="form-control rounded-pill border border-light mr-lg-5" id="name" placeholder="Nama Happy Parents">
                        </div>
                        <div class="form-group">
                            <input type="text" name="dob_member" class="form-control rounded-pill border border-light mr-lg-5" id="birth" placeholder="Tanggal Lahir" onfocus="(this.type='date')" onfocusout="(this.type='text')">
                        </div>
                        <div class="form-group">
                            <input type="phone" name="mobile_number" class="form-control rounded-pill border border-light mr-lg-5" id="phone" placeholder="Nomor Handphone">
                        </div>
                        <div class="form-group">
                            <input type="email" name="email" class="form-control rounded-pill border border-light mr-lg-5" id="email" placeholder="Alamat E-mail">
                        </div>
                        <div class="form-group">
                            <input type="password" name="plain_password" class="form-control rounded-pill border border-light mr-lg-5" id="password" placeholder="Password">
                        </div>
                        <input type="hidden" name="ref" id="ref" value='{{ data.ref }}'>
                    </div>
                </div>
            </div>
        </div>
        <div class="bg-kite bg-kite-white">
            <div class="container py-4">
                <div class="row">
                    <div class="col">
                        <div class="form-check mb-4">
                            <input class="form-check-input" type="checkbox" value="" id="tnc" name="terms" checked>
                            <label class="form-check-label ml-3" for="tnc">
                                Saya setuju ketentuan dan syarat yang berlaku
                            </label>
                        </div>
                        <div class="form-check mb-4">
                            <input class="form-check-input" type="checkbox" value="" id="tnc2" name="news_letter">
                            <label class="form-check-label ml-3" for="tnc2">
                                Dengan ini saya menyatakan bahwa saya bersedia menerima segala informasi mengenai materi promosi, penawaran, dan diskon dari produk Nestlé serta segala bentuk komunikasi dari produk PT Nestlé Indonesia (“Nestlé) lainnya. Saya memberikan persetujuan kepada Nestlé untuk memproses data pribadi saya dengan mengacu pada Kebijakan Kerahasiaan Nestlé sebagaimana dipublikasikan dari waktu ke waktu pada <a href="https://www.sahabatnestle.co.
    id/pernyataan-privasi">
                                    https://www.sahabatnestle.co.
                                    id/pernyataan-privasi
                                </a>
                            </label>
                        </div>

                        <p><button type="submit" class="btn rounded-pill my-2 px-5 btn-cta mr-lg-5">Lanjutkan</button><a href="{{ url('<front>') }}" onclick="window.history.go(-1); return false;" class="btn rounded-pill my-2 px-5 btn-cta bg-white text-primary border border-primary">Kembali</a></p>
                    </div>
                </div>
            </div>
        </div>
    </form>
</main>
<footer id="primary-footer">
    {% include directory ~ '/templates/includes/_footer_nestle.html.twig' %}
</footer>